|  | overview |  | wiki |  | api reference |  | download

- Main Page
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Functions Variables Typedefs Enumerations Enumerator
Public Member Functions
gameplay::ScriptTarget::Event Class Reference

`#include <ScriptTarget.h>`

List of all members.

## Public Member Functions

const char * | getName () const
const char * | getArgs () const

## Detailed Description

Defines a single script event.

## Member Function Documentation

const char* gameplay::ScriptTarget::Event::getArgs | ( |  | ) | const

Gets the argument string for this event.

Returns:
  The argument string.

const char* gameplay::ScriptTarget::Event::getName | ( |  | ) | const

Gets the name of this event.

Returns:
  The event name.

All Classes Functions Variables Typedefs Enumerations Enumerator